﻿html,
body {
    height: 100%;
    margin: 0;
}

.login-page {
    min-height: 100vh;
    padding: 20px;
    background: url('../images/Gambar_Login_APL.jpeg');
    background-repeat: repeat;
    background-size: 462px auto;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-height: 800px) {
    .login-card {
        transform: scale(.90);
    }
}

@media (max-height: 700px) {
    .login-card {
        transform: scale(.80);
    }
}

.login-card {
    width: min(90vw, 520px);
    background: rgba(255,255,255,.96);
    border: 4px solid #3b4a5a;
    border-radius: 6px;
    box-shadow: 0 15px 35px rgba(0,0,0,.35);
    overflow: hidden;
}

.login-card-body {
    padding: 30px;
}

.login-footer {
    background: #4c88c7;
    color: white;
    text-align: center;
    padding: 12px;
    font-size: 14px;
}

.logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.login-logo {
    width: clamp(90px, 12vw, 150px);
    height: auto;
}

.halal-logo {
    width: clamp(80px, 10vw, 130px);
    height: auto;
}

.login-title {
    font-size: 20px;
    margin-bottom: 10px;
}

.login-divider {
    margin-top: 0;
    margin-bottom: 25px;
    border-color: #c7c7c7;
}

.login-icon {
    background: white;
    border-left: none;
    color: #909090;
}

.login-btn {
    height: 48px;
}

.form-check-input {
    width: 18px;
    height: 18px;
    border: 2px solid #6c757d;
    cursor: pointer;
}

.toc-link {
    color: #0d6efd;
    text-decoration: underline;
    font-weight: 500;
}

    .toc-link:hover {
        color: #084298;
    }

.form-control {
    height: 48px;
    border: 1px solid #cfcfcf;
    border-radius: 4px;
    border-right: none;
}

    .form-control:focus {
        border-color: #4c88c7;
        box-shadow: 0 0 0 .15rem rgba(76,136,199,.25);
        border-right: none;
    }

.login-btn {
    height: 42px;
    min-width: 140px;
    background: #4c88c7;
    border-color: #4c88c7;
}

    .login-btn:hover {
        background: #3974b0;
        border-color: #3974b0;
    }

.login-action {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px;
    gap: 15px;
}

@media (max-width: 576px) {
    .login-action {
        flex-direction: column;
        align-items: stretch;
    }

    .login-btn {
        width: 100%;
    }
}

.modal-content {
    border-radius: 12px;
    border: none;
}

.modal-header {
    background: #4c88c7;
    color: white;
}